package dev.smartdata.jmixtests.entity;

import io.jmix.core.entity.annotation.JmixGeneratedValue;
import io.jmix.core.metamodel.annotation.JmixEntity;

import javax.persistence.*;
import java.util.UUID;

@JmixEntity
@Table(name = "JMXTST_ASSOCIATE", indexes = {
        @Index(name = "IDX_JMXTST_ASSOCIATE_CHILD", columnList = "CHILD_ID")
})
@Entity(name = "jmxtst_Associate")
public class Associate {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    private UUID id;

    @JoinColumn(name = "CHILD_ID")
    @ManyToOne(fetch = FetchType.LAZY)
    private NewEntity child;

    public void setChild(NewEntity child) {
        this.child = child;
    }

    public NewEntity getChild() {
        return child;
    }

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }
}