package dev.smartdata.jmixtests.entity;

import io.jmix.core.MetadataTools;
import io.jmix.core.metamodel.annotation.DependsOnProperties;
import io.jmix.core.metamodel.annotation.InstanceName;
import io.jmix.core.metamodel.annotation.JmixEntity;

import javax.persistence.Entity;

@JmixEntity
@Entity(name = "jmxtst_ChildEntity")
public class ChildEntity extends NewEntity {
    @InstanceName
    @DependsOnProperties({"textField"})
    public String getInstanceName(MetadataTools metadataTools) {
        return metadataTools.format(textField+" 1");
    }
}