package dev.smartdata.jmixtests.entity;

import io.jmix.core.entity.annotation.JmixGeneratedValue;
import io.jmix.core.metamodel.annotation.InstanceName;
import io.jmix.core.metamodel.annotation.JmixEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.UUID;

@JmixEntity
@Table(name = "JMXTST_NEW_ENTITY")
@Entity(name = "jmxtst_NewEntity")
public class NewEntity {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    private UUID id;

    @Column(name = "TEXT_FIELD")
    protected String textField;

    @InstanceName
    @Column(name = "ONE_MORE_FIELD")
    private String oneMoreField;

    public String getOneMoreField() {
        return oneMoreField;
    }

    public void setOneMoreField(String oneMoreField) {
        this.oneMoreField = oneMoreField;
    }

    public String getTextField() {
        return textField;
    }

    public void setTextField(String textField) {
        this.textField = textField;
    }

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }
}